Bug 484064 - pvmove modprobes dm-log-clustered which isn't provided
pvmove modprobes dm-log-clustered which isn't provided
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity high
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 11:05 EST by Nate Straz
Modified: 2010-01-11 23:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 17:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-02-04 11:05:21 EST
Description of problem:

When attempting to pvmove in a clustered volume group on RHEL4.8, pvmove tries to modprobe in dm-log-clustered which fails.  dm-log-clustered is provided by kmod-cmirror on RHEL5.  cmirror-kernel on RHEL4 provides dm-cmirror.


Version-Release number of selected component (if applicable):
lvm2-cluster-2.02.42-1.el4
lvm2-2.02.42-1.el4
cmirror-1.0.1-1
cmirror-kernel-2.6.9-43.6.el4
kernel-2.6.9-78.19.EL


How reproducible:
100%

Steps to Reproduce:
1. create a clustered volume with several PVs
2. pvmove -v /dev/pv-foo
  
Actual results:
tank-01: pvmove -v /dev/sdh1
    Finding volume group "mirror_sanity"
    Executing: /sbin/modprobe dm-log-clustered  
FATAL: Module dm_log_clustered not found.
  /sbin/modprobe failed: 1
    Archiving volume group "mirror_sanity" metadata (seqno 301).
    Creating logical volume pvmove0
    Moving 164 extents of logical volume mirror_sanity/segment0
    Moving 128 extents of logical volume mirror_sanity/segment1
  Error locking on node tank-01: Volume is busy on another node
  Failed to activate segment1
Command failed


Expected results:


Additional info:
Comment 1 Corey Marthaler 2009-02-16 10:25:07 EST
Bumping the priority and severity as this needs to get fixed in the 4.8 time frame.
Comment 2 Milan Broz 2009-02-25 15:24:53 EST
In lvm2-cluster-2.02.42-4.el4.
Comment 5 errata-xmlrpc 2009-05-18 17:11:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1047.html

Note You need to log in before you can comment on or make changes to this bug.